classification
Title: Typo in documentation: "to making it easy"
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ilya Kamenshchikov, Mariatta, YoSTEALTH, docs@python, mdk, mrice88, rhettinger, willingc, zach.ware
Priority: normal Keywords: easy, patch

Created on 2019-06-20 17:17 by mdk, last changed 2019-07-16 15:14 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14730 merged Ilya Kamenshchikov, 2019-07-13 09:15
Messages (10)
msg346141 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-06-20 17:17
In Doc/faq/design.rst there's "with an eye to making it easily tested.".

I'm not native english, but I think "making" is wrong here, maybe "make"?
msg346145 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2019-06-20 17:32
"making" looks fine to me as a native English speaker.  I'm not sure it's properly correct English, but it's fine colloquially and I don't think "make" would improve it :)

If anything, I'd change "to" to "toward", or possibly replace "an eye to" with "the goal of".
msg346148 - (view) Author: (YoSTEALTH) * Date: 2019-06-20 17:55
"Writing test suites is very helpful, and you might want to plan your code based on expectation of making it easy for testing."
msg346158 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2019-06-20 18:55
I agree with Zach's suggestions.

If I were to rewrite and pass through a grammar checker, I would get closer to this (removing the verbose "an eye to":

Writing test suites is very helpful, and you might want to design your code to make it easily tested.

In other words, it is fine as is or with modifications. :-)
msg346176 - (view) Author: (YoSTEALTH) * Date: 2019-06-21 01:32
programmers "plan" their code, they don't "design" it, as far as i know!
msg346178 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-06-21 02:24
It reads fine to me as is.
msg346179 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2019-06-21 02:48
FWIW I agree that "with an eye to ..." sounds too complex. It would be great to change it to "with the goal of...".
msg346250 - (view) Author: Mark Rice (mrice88) Date: 2019-06-21 21:09
Hi, first time on here. And new to the python bug tracker. But, the sentence might read fine as is, or could be tweaked to say "with an eye toward making it easily tested..." as Zach suggested. It is what my internal grammar alarm jumped to automatically.
msg347790 - (view) Author: Ilya Kamenshchikov (Ilya Kamenshchikov) * Date: 2019-07-13 09:30
The wording from Carol Willing makes it read simpler. Also in the next sentence, 'test-directed development' goes under the name 'test-driven development' as of 2019 (search in google -> https://en.wikipedia.org/wiki/Test-driven_development). I have created a pull request with simpler wording and 'test-driven development'.

CLA is signed, will take time to propagate.
msg348020 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-07-16 15:13
New changeset a0f7119f1584db5b32deffb60a68d830673ebbdf by Raymond Hettinger (Ilya Kamenshchikov) in branch 'master':
bpo-37352: Minor word-smithing for design.rst (GH #14730)
https://github.com/python/cpython/commit/a0f7119f1584db5b32deffb60a68d830673ebbdf
History
Date User Action Args
2019-07-16 15:14:36rhettingersetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.9
2019-07-16 15:13:43rhettingersetmessages: + msg348020
2019-07-13 09:30:28Ilya Kamenshchikovsetnosy: + Ilya Kamenshchikov
messages: + msg347790
2019-07-13 09:15:29Ilya Kamenshchikovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14525
2019-06-21 21:09:57mrice88setnosy: + mrice88
messages: + msg346250
2019-06-21 02:48:26Mariattasetnosy: + Mariatta
messages: + msg346179
2019-06-21 02:24:16rhettingersetnosy: + rhettinger
messages: + msg346178
2019-06-21 01:32:02YoSTEALTHsetmessages: + msg346176
2019-06-20 18:55:12willingcsetnosy: + willingc
messages: + msg346158
2019-06-20 17:55:59YoSTEALTHsetnosy: + YoSTEALTH
messages: + msg346148
2019-06-20 17:32:47zach.waresetnosy: + zach.ware
messages: + msg346145
2019-06-20 17:17:56mdkcreate